Leaves

Create leave request

POST
/api/public/v3/leave_requests

Request Body

application/x-www-form-urlencoded

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

application/json

curl -X POST "https://example.com/api/public/v3/leave_requests" \  -H "Content-Type: application/x-www-form-urlencoded" \  -d 'employee_id=string&leave_type_id=string&starts_on=string&ends_on=string&description=string&skip_approval=string'
{  "data": {    "id": 0,    "employee_id": 0,    "leave_type_id": 0,    "leave_type": "string",    "state": "string",    "amount": "string",    "hours": "string",    "tracking_time_in": "string",    "on_demand": true,    "starts_on": "string",    "ends_on": "string",    "comment": "string",    "created_at": "string",    "updated_at": "string",    "attachment_url": null,    "attachments": [      null    ],    "employee": {      "id": 0,      "first_name": "string",      "last_name": "string",      "email": "string"    },    "entries": [      {        "date": "string",        "amount": "string",        "starts_at": null,        "ends_at": null      }    ],    "leave_type_policy": {      "name": "string",      "visibility": "string",      "activity_type": "string"    },    "approvals": [      null    ]  }}